From aad1b3ccbda4c4731b2bb689f05a9607755baf11 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Fran=C3=A7ois-Xavier=20Bourlet?= <fx@dotcloud.com>
Date: Wed, 13 Apr 2011 10:13:46 -0700
Subject: [PATCH 2/2] add lxc_path()

This function simply return the internal build configuration value
LXCPATH.
---
 src/lxc/conf.c |    5 +++++
 src/lxc/conf.h |    7 +++++++
 2 files changed, 12 insertions(+), 0 deletions(-)

diff --git a/src/lxc/conf.c b/src/lxc/conf.c
index ae5b259..9a3d8d2 100644
--- a/src/lxc/conf.c
+++ b/src/lxc/conf.c
@@ -1748,3 +1748,8 @@ int lxc_setup(const char *name, struct lxc_conf *lxc_conf)
 
 	return 0;
 }
+
+const char* lxc_path()
+{
+	return LXCPATH;
+}
diff --git a/src/lxc/conf.h b/src/lxc/conf.h
index 712cb3a..591ed42 100644
--- a/src/lxc/conf.h
+++ b/src/lxc/conf.h
@@ -226,4 +226,11 @@ extern void lxc_delete_tty(struct lxc_tty_info *tty_info);
  */
 
 extern int lxc_setup(const char *name, struct lxc_conf *lxc_conf);
+
+/*
+ * Return the path where LXC store containers configurations files
+ * (and rootfs when not specified)
+ */
+const char* lxc_path();
+
 #endif
-- 
1.7.1

